extends Panel


func _ready() -> void:
    var unit_trassa = network.get_unit_instance('уарэп-трасса')
    unit_trassa.connect('line_changed',  Callable(self, 'on_trassa_line_changed'))
    signaller.connect('sector_klaster',  Callable(self, 'on_sector_klaster').bind(unit_trassa))


func on_trassa_line_changed(_unit_trassa):
    pass


func on_sector_klaster(_data, _unit_trassa):
    pass
